Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph
Interface Graph.CreateNode<Next>

Type Parameters:
  `Next` - The interface that is to be returned to complete the create request

Enclosing class:
  Graph

    public static interface Graph.CreateNode<Next>

A component that defines a node that is to be created.

Method Summary
`Next` | `node(String nodeName, Iterable<Property> properties)` Specify the name of the node that is to be created.
`Next` | `node(String nodeName, Iterator<Property> properties)` Specify the name of the node that is to be created.
`Next` | `node(String nodeName, Property... properties)` Specify the name of the node that is to be created.

Method Detail

### node

    Next node(String nodeName,
              Property... properties)

  Specify the name of the node that is to be created.

  Parameters:
    `nodeName` - the name of the new node
    `properties` - the properties for the new node
  Returns:
    the next component for making additional requests.

### node

    Next node(String nodeName,
              Iterator<Property> properties)

  Specify the name of the node that is to be created.

  Parameters:
    `nodeName` - the name of the new node
    `properties` - the properties for the new node
  Returns:
    the next component for making additional requests.

### node

    Next node(String nodeName,
              Iterable<Property> properties)

  Specify the name of the node that is to be created.

  Parameters:
    `nodeName` - the name of the new node
    `properties` - the properties for the new node
  Returns:
    the next component for making additional requests.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.